import { jsx } from "react/jsx-runtime";
import { TokenNTX as TokenNTX$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenNTX = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "NTX", "data-name": "TokenNTX", ...props, children: /* @__PURE__ */ jsx(TokenNTX$1, { variant }) });
  }
);
TokenNTX.displayName = "TokenNTX";
Object.assign(TokenNTX, { isGdsIcon: true });
export {
  TokenNTX
};
